data <- read.csv("survey_269927_R_data_file_incomplete_2019-12-20.csv", quote = "'\"", na.strings=c("", "\"\""), stringsAsFactors=FALSE, fileEncoding="UTF-8-BOM")


# LimeSurvey Field type: F
data[, 1] <- as.numeric(data[, 1])
attributes(data)$variable.labels[1] <- "id"
names(data)[1] <- "id"
# LimeSurvey Field type: DATETIME23.2
data[, 2] <- as.character(data[, 2])
attributes(data)$variable.labels[2] <- "submitdate"
names(data)[2] <- "submitdate"
# LimeSurvey Field type: F
data[, 3] <- as.numeric(data[, 3])
attributes(data)$variable.labels[3] <- "lastpage"
names(data)[3] <- "lastpage"
# LimeSurvey Field type: A
data[, 4] <- as.character(data[, 4])
attributes(data)$variable.labels[4] <- "startlanguage"
names(data)[4] <- "startlanguage"
# LimeSurvey Field type: A
data[, 5] <- as.character(data[, 5])
attributes(data)$variable.labels[5] <- "Seed"
names(data)[5] <- "q_"
# LimeSurvey Field type: DATETIME23.2
data[, 6] <- as.character(data[, 6])
attributes(data)$variable.labels[6] <- "startdate"
names(data)[6] <- "startdate"
# LimeSurvey Field type: DATETIME23.2
data[, 7] <- as.character(data[, 7])
attributes(data)$variable.labels[7] <- "datestamp"
names(data)[7] <- "datestamp"
# LimeSurvey Field type: A
data[, 8] <- as.character(data[, 8])
attributes(data)$variable.labels[8] <- "What type of organisation does your library belong to?"
data[, 8] <- factor(data[, 8], levels=c("A1","A2","A3","A4","A5","A6"),labels=c("University (incl. medical faculty) or university hospital", "Clinic/policlinic/institute at a larger hospital", "Non-university hospital", "Nursing school/school for other Allied Health Professionals", "Research institution", "Pharmaceutical enterprise"))
names(data)[8] <- "Setting1"
# LimeSurvey Field type: A
data[, 9] <- as.character(data[, 9])
attributes(data)$variable.labels[9] <- "[Other] What type of organisation does your library belong to?"
names(data)[9] <- "Setting1_other"
# LimeSurvey Field type: F
data[, 10] <- as.numeric(data[, 10])
attributes(data)$variable.labels[10] <- "Does the organisation your library belongs to conduct medical/helth research?"
data[, 10] <- factor(data[, 10], levels=c(1,2),labels=c("Yes", "No"))
names(data)[10] <- "Setting3"
# LimeSurvey Field type: F
data[, 11] <- as.numeric(data[, 11])
attributes(data)$variable.labels[11] <- "[Doctors] Which client groups does your library serve?"
data[, 11] <- factor(data[, 11], levels=c(1,0),labels=c("Yes", "Not selected"))
names(data)[11] <- "Setting2_SQ001"
# LimeSurvey Field type: F
data[, 12] <- as.numeric(data[, 12])
attributes(data)$variable.labels[12] <- "[Nurses, midwifes, and Allied Health Professionals] Which client groups does your library serve?"
data[, 12] <- factor(data[, 12], levels=c(1,0),labels=c("Yes", "Not selected"))
names(data)[12] <- "Setting2_SQ002"
# LimeSurvey Field type: F
data[, 13] <- as.numeric(data[, 13])
attributes(data)$variable.labels[13] <- "[Researchers] Which client groups does your library serve?"
data[, 13] <- factor(data[, 13], levels=c(1,0),labels=c("Yes", "Not selected"))
names(data)[13] <- "Setting2_SQ003"
# LimeSurvey Field type: F
data[, 14] <- as.numeric(data[, 14])
attributes(data)$variable.labels[14] <- "[Medical/Dental/Veterinary students] Which client groups does your library serve?"
data[, 14] <- factor(data[, 14], levels=c(1,0),labels=c("Yes", "Not selected"))
names(data)[14] <- "Setting2_SQ004"
# LimeSurvey Field type: F
data[, 15] <- as.numeric(data[, 15])
attributes(data)$variable.labels[15] <- "[Students/trainees of nursing, midwifery, and Allied Health Professions] Which client groups does your library serve?"
data[, 15] <- factor(data[, 15], levels=c(1,0),labels=c("Yes", "Not selected"))
names(data)[15] <- "Setting2_SQ005"
# LimeSurvey Field type: F
data[, 16] <- as.numeric(data[, 16])
attributes(data)$variable.labels[16] <- "[Health professionals outside own institution] Which client groups does your library serve?"
data[, 16] <- factor(data[, 16], levels=c(1,0),labels=c("Yes", "Not selected"))
names(data)[16] <- "Setting2_SQ007"
# LimeSurvey Field type: F
data[, 17] <- as.numeric(data[, 17])
attributes(data)$variable.labels[17] <- "[Patients and the public] Which client groups does your library serve?"
data[, 17] <- factor(data[, 17], levels=c(1,0),labels=c("Yes", "Not selected"))
names(data)[17] <- "Setting2_SQ006"
# LimeSurvey Field type: A
data[, 18] <- as.character(data[, 18])
attributes(data)$variable.labels[18] <- "[Other] Which client groups does your library serve?"
names(data)[18] <- "Setting2_other"
# LimeSurvey Field type: F
data[, 19] <- as.numeric(data[, 19])
attributes(data)$variable.labels[19] <- "[books (print)] What types of resources does your library offer?"
data[, 19] <- factor(data[, 19], levels=c(1,0),labels=c("Yes", "Not selected"))
names(data)[19] <- "Collection1_SQ001"
# LimeSurvey Field type: F
data[, 20] <- as.numeric(data[, 20])
attributes(data)$variable.labels[20] <- "[books (digital)] What types of resources does your library offer?"
data[, 20] <- factor(data[, 20], levels=c(1,0),labels=c("Yes", "Not selected"))
names(data)[20] <- "Collection1_SQ002"
# LimeSurvey Field type: F
data[, 21] <- as.numeric(data[, 21])
attributes(data)$variable.labels[21] <- "[journals (print)] What types of resources does your library offer?"
data[, 21] <- factor(data[, 21], levels=c(1,0),labels=c("Yes", "Not selected"))
names(data)[21] <- "Collection1_SQ003"
# LimeSurvey Field type: F
data[, 22] <- as.numeric(data[, 22])
attributes(data)$variable.labels[22] <- "[journals (digital)] What types of resources does your library offer?"
data[, 22] <- factor(data[, 22], levels=c(1,0),labels=c("Yes", "Not selected"))
names(data)[22] <- "Collection1_SQ004"
# LimeSurvey Field type: F
data[, 23] <- as.numeric(data[, 23])
attributes(data)$variable.labels[23] <- "[Ovid MEDLINE] What types of resources does your library offer?"
data[, 23] <- factor(data[, 23], levels=c(1,0),labels=c("Yes", "Not selected"))
names(data)[23] <- "Collection1_SQ005"
# LimeSurvey Field type: F
data[, 24] <- as.numeric(data[, 24])
attributes(data)$variable.labels[24] <- "[Ovid EMBASE] What types of resources does your library offer?"
data[, 24] <- factor(data[, 24], levels=c(1,0),labels=c("Yes", "Not selected"))
names(data)[24] <- "Collection1_SQ006"
# LimeSurvey Field type: F
data[, 25] <- as.numeric(data[, 25])
attributes(data)$variable.labels[25] <- "[EMBASE (embase.com)] What types of resources does your library offer?"
data[, 25] <- factor(data[, 25], levels=c(1,0),labels=c("Yes", "Not selected"))
names(data)[25] <- "Collection1_SQ008"
# LimeSurvey Field type: F
data[, 26] <- as.numeric(data[, 26])
attributes(data)$variable.labels[26] <- "[EMCare] What types of resources does your library offer?"
data[, 26] <- factor(data[, 26], levels=c(1,0),labels=c("Yes", "Not selected"))
names(data)[26] <- "Collection1_SQ007"
# LimeSurvey Field type: F
data[, 27] <- as.numeric(data[, 27])
attributes(data)$variable.labels[27] <- "[CINAHL] What types of resources does your library offer?"
data[, 27] <- factor(data[, 27], levels=c(1,0),labels=c("Yes", "Not selected"))
names(data)[27] <- "Collection1_SQ009"
# LimeSurvey Field type: F
data[, 28] <- as.numeric(data[, 28])
attributes(data)$variable.labels[28] <- "[Carelit] What types of resources does your library offer?"
data[, 28] <- factor(data[, 28], levels=c(1,0),labels=c("Yes", "Not selected"))
names(data)[28] <- "Collection1_SQ024"
# LimeSurvey Field type: F
data[, 29] <- as.numeric(data[, 29])
attributes(data)$variable.labels[29] <- "[Thieme Certified Nursing Education (CNE)] What types of resources does your library offer?"
data[, 29] <- factor(data[, 29], levels=c(1,0),labels=c("Yes", "Not selected"))
names(data)[29] <- "Collection1_SQ025"
# LimeSurvey Field type: F
data[, 30] <- as.numeric(data[, 30])
attributes(data)$variable.labels[30] <- "[TRIP Pro] What types of resources does your library offer?"
data[, 30] <- factor(data[, 30], levels=c(1,0),labels=c("Yes", "Not selected"))
names(data)[30] <- "Collection1_SQ010"
# LimeSurvey Field type: F
data[, 31] <- as.numeric(data[, 31])
attributes(data)$variable.labels[31] <- "[Cochrane Library] What types of resources does your library offer?"
data[, 31] <- factor(data[, 31], levels=c(1,0),labels=c("Yes", "Not selected"))
names(data)[31] <- "Collection1_SQ011"
# LimeSurvey Field type: F
data[, 32] <- as.numeric(data[, 32])
attributes(data)$variable.labels[32] <- "[AMED] What types of resources does your library offer?"
data[, 32] <- factor(data[, 32], levels=c(1,0),labels=c("Yes", "Not selected"))
names(data)[32] <- "Collection1_SQ012"
# LimeSurvey Field type: F
data[, 33] <- as.numeric(data[, 33])
attributes(data)$variable.labels[33] <- "[BIOSIS] What types of resources does your library offer?"
data[, 33] <- factor(data[, 33], levels=c(1,0),labels=c("Yes", "Not selected"))
names(data)[33] <- "Collection1_SQ013"
# LimeSurvey Field type: F
data[, 34] <- as.numeric(data[, 34])
attributes(data)$variable.labels[34] <- "[Faculty of 1000] What types of resources does your library offer?"
data[, 34] <- factor(data[, 34], levels=c(1,0),labels=c("Yes", "Not selected"))
names(data)[34] <- "Collection1_SQ014"
# LimeSurvey Field type: F
data[, 35] <- as.numeric(data[, 35])
attributes(data)$variable.labels[35] <- "[Scopus] What types of resources does your library offer?"
data[, 35] <- factor(data[, 35], levels=c(1,0),labels=c("Yes", "Not selected"))
names(data)[35] <- "Collection1_SQ015"
# LimeSurvey Field type: F
data[, 36] <- as.numeric(data[, 36])
attributes(data)$variable.labels[36] <- "[Web of Science] What types of resources does your library offer?"
data[, 36] <- factor(data[, 36], levels=c(1,0),labels=c("Yes", "Not selected"))
names(data)[36] <- "Collection1_SQ016"
# LimeSurvey Field type: F
data[, 37] <- as.numeric(data[, 37])
attributes(data)$variable.labels[37] <- "[UpToDate] What types of resources does your library offer?"
data[, 37] <- factor(data[, 37], levels=c(1,0),labels=c("Yes", "Not selected"))
names(data)[37] <- "Collection1_SQ017"
# LimeSurvey Field type: F
data[, 38] <- as.numeric(data[, 38])
attributes(data)$variable.labels[38] <- "[DynaMed] What types of resources does your library offer?"
data[, 38] <- factor(data[, 38], levels=c(1,0),labels=c("Yes", "Not selected"))
names(data)[38] <- "Collection1_SQ018"
# LimeSurvey Field type: F
data[, 39] <- as.numeric(data[, 39])
attributes(data)$variable.labels[39] <- "[Clinical Key] What types of resources does your library offer?"
data[, 39] <- factor(data[, 39], levels=c(1,0),labels=c("Yes", "Not selected"))
names(data)[39] <- "Collection1_SQ019"
# LimeSurvey Field type: F
data[, 40] <- as.numeric(data[, 40])
attributes(data)$variable.labels[40] <- "[Deximed] What types of resources does your library offer?"
data[, 40] <- factor(data[, 40], levels=c(1,0),labels=c("Yes", "Not selected"))
names(data)[40] <- "Collection1_SQ020"
# LimeSurvey Field type: F
data[, 41] <- as.numeric(data[, 41])
attributes(data)$variable.labels[41] <- "[EbM Guidelines] What types of resources does your library offer?"
data[, 41] <- factor(data[, 41], levels=c(1,0),labels=c("Yes", "Not selected"))
names(data)[41] <- "Collection1_SQ021"
# LimeSurvey Field type: F
data[, 42] <- as.numeric(data[, 42])
attributes(data)$variable.labels[42] <- "[BMJ Best Practice] What types of resources does your library offer?"
data[, 42] <- factor(data[, 42], levels=c(1,0),labels=c("Yes", "Not selected"))
names(data)[42] <- "Collection1_SQ022"
# LimeSurvey Field type: F
data[, 43] <- as.numeric(data[, 43])
attributes(data)$variable.labels[43] <- "[AMBOSS] What types of resources does your library offer?"
data[, 43] <- factor(data[, 43], levels=c(1,0),labels=c("Yes", "Not selected"))
names(data)[43] <- "Collection1_SQ023"
# LimeSurvey Field type: A
data[, 44] <- as.character(data[, 44])
attributes(data)$variable.labels[44] <- "[Other] What types of resources does your library offer?"
names(data)[44] <- "Collection1_other"
# LimeSurvey Field type: F
data[, 45] <- as.numeric(data[, 45])
attributes(data)$variable.labels[45] <- "Do you license some or all of your electronic resources via a consortium?"
data[, 45] <- factor(data[, 45], levels=c(1,2),labels=c("Yes", "No"))
names(data)[45] <- "Collection2"
# LimeSurvey Field type: A
data[, 46] <- as.character(data[, 46])
attributes(data)$variable.labels[46] <- "Does your library offer mediated searches for researchers working on systematic reviews, clinical guidelines, and similar publications?"
data[, 46] <- factor(data[, 46], levels=c("A1","A2","A3","A4"),labels=c("Yes", "No", "Offered by other department", "Not applicable"))
names(data)[46] <- "Services1"
# LimeSurvey Field type: A
data[, 47] <- as.character(data[, 47])
attributes(data)$variable.labels[47] <- "Does your library offer researchers consultations to assist with the development of a search strategy?"
data[, 47] <- factor(data[, 47], levels=c("A1","A2","A3","A4"),labels=c("Yes", "No", "Offered by other department", "Not applicable"))
names(data)[47] <- "Services2"
# LimeSurvey Field type: A
data[, 48] <- as.character(data[, 48])
attributes(data)$variable.labels[48] <- "Does your library offer lectures/practicals/courses/seminars within the curriculum of the medical/nursing faculty (voluntary/compulsory and/or with ECTS points)?"
data[, 48] <- factor(data[, 48], levels=c("A1","A2","A3","A4"),labels=c("Yes", "No", "Offered by other department", "Not applicable"))
names(data)[48] <- "Services3"
# LimeSurvey Field type: A
data[, 49] <- as.character(data[, 49])
attributes(data)$variable.labels[49] <- "Does your library offer optional training sessions (i.e. outside of the medical/nursing curriculum, and without ECTS points)?"
data[, 49] <- factor(data[, 49], levels=c("A1","A2","A3","A4"),labels=c("Yes", "No", "Offered by other department", "Not applicable"))
names(data)[49] <- "Services5"
# LimeSurvey Field type: A
data[, 50] <- as.character(data[, 50])
attributes(data)$variable.labels[50] <- "Does your library offer one-on-one consultations for students working on their Master thesis?"
data[, 50] <- factor(data[, 50], levels=c("A1","A2","A3","A4"),labels=c("Yes", "No", "Offered by other department", "Not applicable"))
names(data)[50] <- "Services6"
# LimeSurvey Field type: A
data[, 51] <- as.character(data[, 51])
attributes(data)$variable.labels[51] <- "Does your library offer one-on-one consultations to PhD students?"
data[, 51] <- factor(data[, 51], levels=c("A1","A2","A3","A4"),labels=c("Yes", "No", "Offered by other department", "Not applicable"))
names(data)[51] <- "Services7"
# LimeSurvey Field type: A
data[, 52] <- as.character(data[, 52])
attributes(data)$variable.labels[52] <- "Does your library offer one-on-one support to postdocs?"
data[, 52] <- factor(data[, 52], levels=c("A1","A2","A3","A4"),labels=c("Yes", "No", "Offered by other department", "Not applicable"))
names(data)[52] <- "Services8"
# LimeSurvey Field type: A
data[, 53] <- as.character(data[, 53])
attributes(data)$variable.labels[53] <- "Does your library offer a \'clinical librarian\' service, i.e. searches for clinicians\' daily practice?"
data[, 53] <- factor(data[, 53], levels=c("A1","A2","A3","A4"),labels=c("Yes", "No", "Offered by other department", "Not applicable"))
names(data)[53] <- "Services9"
# LimeSurvey Field type: A
data[, 54] <- as.character(data[, 54])
attributes(data)$variable.labels[54] <- "Does your library offer consultations or support for the critical appraisal of clinical evidence?"
data[, 54] <- factor(data[, 54], levels=c("A1","A2","A3","A4"),labels=c("Yes", "No", "Offered by other department", "Not applicable"))
names(data)[54] <- "Services10"
# LimeSurvey Field type: A
data[, 55] <- as.character(data[, 55])
attributes(data)$variable.labels[55] <- "Does your library offer consultations or support for Open Access (financially or organisational)?"
data[, 55] <- factor(data[, 55], levels=c("A1","A2","A3","A4"),labels=c("Yes", "No", "Offered by other department", "Not applicable"))
names(data)[55] <- "Services11"
# LimeSurvey Field type: A
data[, 56] <- as.character(data[, 56])
attributes(data)$variable.labels[56] <- "Does your library offer consultations or support for research data management?"
data[, 56] <- factor(data[, 56], levels=c("A1","A2","A3","A4"),labels=c("Yes", "No", "Offered by other department", "Not applicable"))
names(data)[56] <- "Services12"
# LimeSurvey Field type: A
data[, 57] <- as.character(data[, 57])
attributes(data)$variable.labels[57] <- "Did your library\'s research support services result in (co-)authorship in peer reviewed publications?"
data[, 57] <- factor(data[, 57], levels=c("A1","A2","A4"),labels=c("Yes", "No", "Not applicable"))
names(data)[57] <- "Services13"
# LimeSurvey Field type: A
data[, 58] <- as.character(data[, 58])
attributes(data)$variable.labels[58] <- "Does your library conduct research in the field of librarianship/information science (e.g. method development, evidence-based librarianship)?"
data[, 58] <- factor(data[, 58], levels=c("A1","A2","A3"),labels=c("Yes", "No", "Other department"))
names(data)[58] <- "Services14"
# LimeSurvey Field type: F
data[, 59] <- as.numeric(data[, 59])
attributes(data)$variable.labels[59] <- "Number of staff at academic level (subject liaison librarian, German \'Fachreferent\') in FTE"
names(data)[59] <- "Staffing1"
# LimeSurvey Field type: F
data[, 60] <- as.numeric(data[, 60])
attributes(data)$variable.labels[60] <- "Number of other staff with an academic background (e.g. academic writing tutor)"
names(data)[60] <- "Staffing2"
# LimeSurvey Field type: F
data[, 61] <- as.numeric(data[, 61])
attributes(data)$variable.labels[61] <- "Number of staff with a qualification at BSc level (e.g. \'Diplom-Bibliothekar (FH)\')"
names(data)[61] <- "Staffing3"
# LimeSurvey Field type: F
data[, 62] <- as.numeric(data[, 62])
attributes(data)$variable.labels[62] <- "Number of staff with an apprenticeship (e.g. \'Fachangestellte für Medien- und Informationsdienste (FaMI)\')"
names(data)[62] <- "Staffing4"
# LimeSurvey Field type: F
data[, 63] <- as.numeric(data[, 63])
attributes(data)$variable.labels[63] <- "Number of staff with no formal qualification"
names(data)[63] <- "Staffing5"
# LimeSurvey Field type: A
data[, 64] <- as.character(data[, 64])
attributes(data)$variable.labels[64] <- "Number of staff with different qualifications (please specify)"
names(data)[64] <- "Staffing6"
# LimeSurvey Field type: F
data[, 65] <- as.numeric(data[, 65])
attributes(data)$variable.labels[65] <- "Are some tasks of your medical library (e.g. acquisitions, cataloguing, teaching) carried out by other departments such that the staff involved is not contained in the numbers you enter in this section for your medical library?"
data[, 65] <- factor(data[, 65], levels=c(1,2),labels=c("Yes", "No"))
names(data)[65] <- "Staffing7"
# Variable name was incorrect and was changed from  to q_ .

